# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           garmindev
Version:        0.3.4
Release:        alt1_6
Summary:        Drivers for communication with Garmin GPS devices

Group:          System/Libraries
License:        GPLv2+
URL:            http://www.qlandkarte.org
Source0:        http://downloads.sourceforge.net/qlandkartegt/%{name}-%{version}.tar.gz
Provides:       %{name}(interface) = 1.18

BuildRequires: ctest cmake libusb-compat-devel libusb-devel
Source44: import.info


%description
Drivers for communication with Garmin GPS devices used by QLandkarteGT.


%prep
%setup -q

mkdir build


%build
cd build
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%{fedora_cmake} ..
make VERBOSE=1 %{?_smp_mflags}


%install
cd build
make install DESTDIR=%{buildroot}

# fix perms on plugins
find %{buildroot}%{_libdir}/qlandkartegt -type f -exec chmod 0755 {} \;

# drop the development files
rm -rf %{buildroot}%{_includedir}/garmin
rm -rf %{buildroot}%{_libdir}/qlandkartegt/libgarmin*


%files
%doc
%{_libdir}/qlandkartegt


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_6
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_5
- initial fc import

